package com.ruoyi.web.modules.news.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 养殖资讯列表项。
 */
public class FarmingNewsListVo
{
    private String title;

    private String introduction;

    private String type;

    private String coverFileUrl;

    private String contentFileUrl;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date publishTime;

    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getIntroduction()
    {
        return introduction;
    }

    public void setIntroduction(String introduction)
    {
        this.introduction = introduction;
    }

    public String getType()
    {
        return type;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getCoverFileUrl()
    {
        return coverFileUrl;
    }

    public void setCoverFileUrl(String coverFileUrl)
    {
        this.coverFileUrl = coverFileUrl;
    }

    public String getContentFileUrl()
    {
        return contentFileUrl;
    }

    public void setContentFileUrl(String contentFileUrl)
    {
        this.contentFileUrl = contentFileUrl;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }
}
